### Method

# Cogl Renderer get_winsys_id

#### Declaration [src]

    CoglWinsysID
    cogl_renderer_get_winsys_id (
      CoglRenderer* renderer
    )

#### Description [src]

Queries which window system backend Cogl has chosen to use.

This may only be called on a connected `CoglRenderer`.

#### Return value

Type: `CoglWinsysID`

The `CoglWinsysID` corresponding to the chosen window system backend.